Packages - Bug #2971

warning: libvoikko: local (4.3-3.1) is newer than extra (4.3-3.0)
2021-01-28 09:41 PM - doolio

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

| see this error when trying to perform a full system upgrade on my i686 machine. | pull from the default repositories: libre, core,
extra, community and pcr. The version 4.3-3.1 exists in the testing repository and 4.3-3.0 exists in extra as the warning states. Now
this library was installed as a dependency of the enchant package itself a dependency of the webkit2gtk package. | have
enchant2.2.8-1.0 installed from extra. Therefore, | would have expected enchant to get its dependency libvoikko from extra rather
than testing.

History

#1 - 2021-01-29 06:30 AM - bill-auger

that not an error - it is a warning - its not clear why it
happened; but it is most likely of no consequence - as

long as enchant2 works, i would not worry about it, unless this
is an on-going situation with no explanation

perhaps you had the testing repo enabled when the package was
installed; and then you disabled the testing repo - in that case,
what you described is the expected behavior

#2 - 2021-01-29 09:39 AM - doolio

that not an error - it is a warning - its not clear why it
happened; but it is most likely of no consequence

That's reassuring. Thanks.

perhaps you had the testing repo enabled when the package was
installed; and then you disabled the testing repo

No, I've never enabled the testing repo which is why | found this strange. |
did attempt to install the nyxt package from the AUR using its PKGBUILD
(https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD ?h=nyxt) which is why the
enchant and webkit2gtk packages were installed. | did check that all its
dependencies were available from Parabola first otherwise | would not have
tried to install it. Despite installing all its dependencies | did not succeed

in installing nyxt.

In any case, this issue seems to have occurred due to my attempts to install
nyxt so from my perspective you can close this issue. Thanks for your time.

#3 - 2022-05-07 06:45 AM - Zuss

Requesting to mark the issue as fixed as it doesn't ook like it's an issue anymore

#4 - 2022-05-14 11:18 AM - Zuss

- Status changed from unconfirmed to not-a-bug

#5 - 2022-06-10 01:42 PM - doolio

Sorry for my late reply. Happy for this issue to be closed.
